Point boundary condition on analytical column node

Hello,

I have a problem with adding point boundary condition to analytical column node, I have Python script:

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
# Import ToDSType(bool) extension method
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
# Import geometry conversion extension methods
clr.ImportExtensions(Revit.GeometryConversion)
# Import DocumentManager and TransactionManager
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
from System.Collections.Generic import *
# Import RevitAPI
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
from System.Collections.Generic import *

doc = DocumentManager.Instance.CurrentDBDocument

elt=UnwrapElement(IN[0])
R=float(IN[1])

bc = []

# Start Transaction
TransactionManager.Instance.EnsureInTransaction(doc)

for e in elt:
	ref = Autodesk.Revit.DB.Reference(e)
	s=Autodesk.Revit.DB.Structure.TranslationRotationValue.Fixed
	a=doc.Create.NewPointBoundaryConditions(ref,s,R,s,R,s,R,s,R,s,R,s,R)
	bc.append(a)

# End Transaction
TransactionManager.Instance.TransactionTaskDone()

OUT = bc

I am using “Select elements” for selecting all nodes which I want to have boundary condition on and python script shows: Parameter name: Boundary Condition is already created on the selected reference. It is not allow to duplicate Boundary Conditions.

I have no boundary condition in project… Do you know where is the problem?

1 Like

I think this line is wrong, but I found a topic: https://forum.dynamobim.com/t/point-boundary-condition-hosted/35533/2 and there one user wrote that this is working for him and another has the same problem… I tested for another project and in another ver of dynamo, still nothing. I have more than hundred columns to insert boundary condition on… Here is from RevitApi: RevitApi